Package Gnumed :: Package timelinelib :: Package config :: Module dotfile |
[frames] | no frames]

# Module dotfile

source code

Handle application configuration.

This module is global and can be used by all modules. Before accessing configurations, the read function should be called. To save the current configuration back to file, call the write method.

Classes
| Config Provide read and write access to application configuration settings.

Functions
read_config(path) | source code

Variables
| WINDOW_WIDTH = ``'``window_width``'``
| WINDOW_HEIGHT = ``'``window_height``'``
| WINDOW_XPOS = ``'``window xpos``'``
| WINDOW_YPOS = ``'``window ypos``'``
| WINDOW_MAXIMIZED = ``'``window_maximized``'``
| SHOW_SIDEBAR = ``'``show_sidebar``'``
| SHOW_LEGEND = ``'``show_legend``'``
| SIDEBAR_WIDTH = ``'``sidebar_width``'``
| RECENT_FILES = ``'``recent_files``'``
| OPEN_RECENT_AT_STARTUP = ``'``open_recent_at_startup``'``
| BALLOON_ON_HOVER = ``'``balloon_on_hover``'``
| WEEK_START = ``'``week_start``'``
| USE_WIDE_DATE_RANGE = ``'``use_wide_date_range``'``
| USE_INERTIAL_SCROLLING = ``'``use_inertial_scrolling``'``
| DEFAULTS = ``{``'``balloon_on_hover``'``:` `'``True``'``,` `'``open_recent_at_startu``...``
| MAX_NBR_OF_RECENT_FILES_SAVED = `5`
| ENCODING = ``'``utf-8``'``
| __package__ = ``'``Gnumed.timelinelib.config``'``

Imports: sys, ConfigParser, DEFAULTSECT, os

Variables Details

  ### DEFAULTS Value:
      {'balloon_on_hover': 'True',
       'open_recent_at_startup': 'True',
       'recent_files': '',
       'show_legend': 'True',
       'show_sidebar': 'True',
       'sidebar_width': '200',
       'use_inertial_scrolling': 'False',
       'use_wide_date_range': 'False',
      ...